petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMumpsRestoreSchurComplement

Restore the Schur complement matrix object obtained from a call to MatGetSchurComplement

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsRestoreSchurComplement(Mat F,Mat* S)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface
| *S | - location where the Schur complement is stored

### Notes

MUMPS Schur complement mode is currently implemented for sequential matrices.

References: MUMPS Users' Guide

### See Also

MatGetFactor(), MatMumpsSetSchurIndices(), MatMumpsGetSchurComplement(), MatMumpsCreateSchurComplement()

Level:advanced
Location:src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages